Intel® Enhanced Privacy ID SDK 2.0.0

Macros | Functions
memory.h File Reference

Memory access interface. More...

`#include <stdlib.h>`
`#include <string.h>`

## Macros
#define | EPID_ENABLE_EPID_ZERO_MEMORY_ON_FREE
| When enabled secrets are wiped out from the memory by EpidFree.
#define | SAFE_ALLOC(size) EpidAlloc(size);
| Allocates zero initalized block of memory.
#define | SAFE_FREE(ptr)
| Deallocates space allocated by SAFE_ALLOC() and nulls pointer. More...
#define | SAFE_REALLOC(ptr, size) EpidRealloc((ptr), (size))
| Changes the size of the memory block pointed to by ptr.

## Functions
void | EpidZeroMemory (void *ptr, size_t size)
| Clear information stored in block of memory pointer to by ptr. More...
void * | EpidAlloc (size_t size)
| Allocates memory of size bytes. More...
void * | EpidRealloc (void *ptr, size_t new_size)
| Reallocates memory allocated by EpidAlloc. More...
void | EpidFree (void *ptr)
| Frees memory allocated by EpidAlloc. More...
int | memcpy_S (void *dest, size_t destsz, void const *src, size_t count)
| Copies bytes between buffers with security ehancements. More...

## Detailed Description

Memory access interface.